> ## Documentation Index
> Fetch the complete documentation index at: https://mindcase.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Yelp Reviews

> Extract Yelp review text, rating, author, and date from a list of review URLs

`$0.4 / 1k reviews`

Extract Yelp review text, rating, author, and date from a list of review URLs

## Endpoint

`POST /api/v1/agents/yelp/reviews/run`

## Parameters

<ParamField body="urls" type="array" required>
  **List** · Yelp business URLs (e.g. [https://www.yelp.com/biz/bar-54-new-york-2](https://www.yelp.com/biz/bar-54-new-york-2)). One per line.
</ParamField>

<ParamField body="maxReviewsPerListing" type="integer" default={100}>
  **Number** · Reviews per business URL. Use 0 for all.
</ParamField>

<ParamField body="fromDate" type="date">
  **Date picker** · Earliest review date. Leave blank for no lower bound.
</ParamField>

<ParamField body="toDate" type="date">
  **Date picker** · Latest review date. Leave blank for no upper bound.
</ParamField>

<ParamField body="language" type="string">
  **Dropdown** · Filter to reviews in this language. Leave blank for all.

  <Accordion title="Show all 24 options">
    `en`, `es`, `fr`, `de`, `it`, `nl`, `pt`, `ru`, `ja`, `zh`, `zh_TW`, `ko`, `tr`, `ar`, `da`, `fi`, `no`, `sv`, `he`, `th`, `pl`, `cs`, `hu`, `el`

    *Legend: `en` = English, `es` = Spanish, `fr` = French, `de` = German, `it` = Italian, `nl` = Dutch, `pt` = Portuguese, `ru` = Russian, `ja` = Japanese, `zh` = Chinese (Simplified), `zh_TW` = Chinese (Traditional), `ko` = Korean, `tr` = Turkish, `ar` = Arabic, `da` = Danish, `fi` = Finnish, `no` = Norwegian, `sv` = Swedish, `he` = Hebrew, `th` = Thai, `pl` = Polish, `cs` = Czech, `hu` = Hungarian, `el` = Greek*

    [View all 24 as a structured list →](/agents/yelp/reviews/values#language)
  </Accordion>
</ParamField>

## Response columns

| Field              | Display name      | Type   |
| ------------------ | ----------------- | ------ |
| `businessUrl`      | Business URL      | url    |
| `businessName`     | Business Name     | text   |
| `reviewText`       | Review Text       | text   |
| `rating`           | Rating            | rating |
| `posted`           | Posted            | text   |
| `language`         | Language          | text   |
| `reviewer`         | Reviewer          | text   |
| `reviewerUrl`      | Reviewer URL      | url    |
| `reviewerLocation` | Reviewer Location | text   |
| `reviewerReviews`  | Reviewer Reviews  | number |
| `photos`           | Photos            | text   |
| `helpful`          | Helpful           | number |
| `loveThis`         | Love This         | number |
| `ohNo`             | Oh No             | number |
| `thanks`           | Thanks            | number |

## Example

<CodeGroup>
  ```bash curl theme={null}
  curl -X POST https://api.mindcase.co/api/v1/agents/yelp/reviews/run \
    -H "Authorization: Bearer mk_live_abc123def456" \
    -H "Content-Type: application/json" \
    -d '{
    "params": {
      "urls": [
        {
          "url": "https://www.yelp.com/biz/katzs-delicatessen-new-york"
        }
      ],
      "maxReviewsPerListing": 10
    }
  }'
  ```

  ```python Python theme={null}
  import requests

  resp = requests.post(
      "https://api.mindcase.co/api/v1/agents/yelp/reviews/run",
      headers={"Authorization": "Bearer mk_live_abc123def456"},
      json={"params": {
      "urls": [
          {
              "url": "https://www.yelp.com/biz/katzs-delicatessen-new-york"
          }
      ],
      "maxReviewsPerListing": 10
  }},
  )
  data = resp.json()
  ```
</CodeGroup>

### Example response

```json Response theme={null}
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "businessUrl": "https://www.yelp.com/biz/katzs-delicatessen-new-york",
      "businessName": "Katz's Delicatessen",
      "reviewText": "I love green tomato pickles!!! Never had a like this tasty pickles in my life;) Of course other pickles are fantastic as well, amazing pastrami beefs!!",
      "rating": 5,
      "posted": "2021-11-15T17:48:58Z",
      "language": "ja",
      "reviewer": "Colie S.",
      "reviewerUrl": "https://www.yelp.com/user_details?userid=3OBbVbGPiQGNCYeBm0ygCw",
      "reviewerLocation": "Foster City, CA",
      "reviewerReviews": 26,
      "photos": [
        "https://s3-media0.fl.yelpcdn.com/bphoto/6Q0wk_TvEWCvefcs93DWjA/o.jpg",
        "https://s3-media0.fl.yelpcdn.com/bphoto/7Y3il0AbnujWge8dH_QSMQ/o.jpg",
        "https://s3-media0.fl.yelpcdn.com/bphoto/JGu9koH5ZKuE_O0JU83UXg/o.jpg",
        "https://s3-media0.fl.yelpcdn.com/bphoto/a3d0pVS0q9wgYG5PM3Dx4g/o.jpg",
        "https://s3-media0.fl.yelpcdn.com/bphoto/RfLXi_7rUL4LharePs2lTg/o.jpg",
        "https://s3-media0.fl.yelpcdn.com/bphoto/yGe8L_W6XndSqokVb4W5Pg/o.jpg"
      ],
      "helpful": 0,
      "loveThis": 0,
      "ohNo": 0,
      "thanks": 0
    }
  ]
}
```
